kind: StatefulSet
apiVersion: apps/v1
metadata:
  name: web-mdm
  namespace: mdm-9-22
  labels:
    k8s.kuboard.cn/name: web-mdm
  annotations:
    kubesphere.io/creator: admin
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s.kuboard.cn/name: web-mdm
  template:
    metadata:
      creationTimestamp: null
      labels:
        k8s.kuboard.cn/name: web-mdm
      annotations:
        kubectl.kubernetes.io/restartedAt: '2023-09-22T17:40:32+08:00'
        kubesphere.io/creator: admin
    spec:
      volumes:
        - name: vol-mdm
          persistentVolumeClaim:
            claimName: pvc-mdm
      containers:
        - name: web-mdm
          image: '172.21.13.108:80/platform-v3/nginxhtml:1.2.0907-alpine'
          ports:
            - name: html
              containerPort: 80
              protocol: TCP
          resources: {}
          volumeMounts:
            - name: vol-mdm
              mountPath: /mnt
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
          securityContext:
            capabilities:
              add:
                - SYS_ADMIN
            privileged: true
            runAsUser: 0
            runAsGroup: 0
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: ClusterFirst
      securityContext:
        seLinuxOptions: {}
      imagePullSecrets:
        - name: login
      affinity: {}
      schedulerName: default-scheduler
      hostAliases:
        - ip: 10.244.10.66
          hostnames:
            - jeecg-boot-system
      dnsConfig: {}
  serviceName: web-mdm
  podManagementPolicy: OrderedReady
  updateStrategy:
    type: RollingUpdate
  revisionHistoryLimit: 10
